Virtual private server hosting news, reviews, tips, and tutorials from an industry-leading provider.

Xen or OpenVZ – Which is faster, and which is better?

Posted: August 13th, 2012 | By: | Filed under: Featured, OpenVZ, Xen | Tags: , , , | No Comments »
The question is often asked whether OpenVZ or Xen, two of the most common hypervisors in VPS web hosting, provides a faster hosting environment.

Hypervisors

The most common answer to this question is that “OpenVZ is faster,” even though this is not strictly true. OpenVZ’s virtualization is managed at the operating system (OS) level, compared to Xen’s paravirtualized or fully hardware-virtualized environments. Hence, OpenVZ requires slightly less resource overhead, and can be seen as a more resource-efficient hypervisor — but not necessarily a “faster” one.

Compared to performance that would be measured for an application running directly on the physical server, all virtualization techniques will result in at least a small loss in performance due to the hypervisor’s resource overhead. Since most VPS hosts power their host servers with high-quality hardware, this loss in performance is hardly perceptible.

However, the question remains as to whether the Xen or OpenVZ hypervisor achieves better performance. The simple answer is that there are a great number of factors which could determine an answer one way or another, but there are certain key factors which set the two system apart.

 

Resource Availability

It is important to note the methods Xen and OpenVZ use to assign resources to VEs. On an OpenVZ host server, where all of the server’s physical hardware resources “belong” to the host server and VEs differ only in the operating systems they are running, each VE will essentially have access to the entire server’s resources. Although there are “soft limits” placed for each VE to prevent over-usage of RAM, disk, and other resources, these limits can be (and are frequently) bypassed and abused. For this reason, the performance of an OpenVZ VPS can vary wildly depending on how many other VEs are on the same host, and what they are doing.

In contrast to OpenVZ’s OS-level virtualization, Xen virtualizes hardware and network resources at a deeper level, and provides near-total isolation for each individual VE. It is well-known that Xen VPS instances can run their own isolated kernels, but this more advanced hypervisor confers other benefits as well. A Xen VPS is guaranteed its resource allocations in such a way that it is impossible for neighboring VEs to “steal” them, which means that Xen environments are far more reliably stable than OpenVZ environments.

 

Resource Over-commitment (Overselling)

A side-effect of these virtualization techniques is that Xen host servers cannot be oversold, while OpenVZ host servers are frequently oversold (in fact, this is why OpenVZ hosting is typically less expensive than Xen). Overselling is the practice of over-committing the host server’s resources in such a way that the server could not actually sustain itself if each VE requested 100% of the resources it is “guaranteed.” Since Xen dedicates resources to each VE which are then no longer available to the host system or any neighboring VEs, it is not possible to over-commit a Xen host’s resources.

 

Security & Stability

For the same reasons mentioned above — namely, that OpenVZ containers take their resources freely from a “pool,” while Xen containers have their own dedicated resources — OpenVZ is also prone to flaws impacting system security and stability.

Since OpenVZ virtualizes at the OS level, all hosted VEs essentially share the same host-level kernel. Because of this, a kernel exception caused by one container can crash the entire host server, affecting all other co-hosted VEs. Similarly, OpenVZ hosts use a single iptables and single network interface to mediate incoming/outgoing connections, as well. The results are easy to imagine: if one VE pushes too hard (even accidentally), the others will suffer.

Each Xen environment is “locked in” to its container, which makes it comparatively impossible to abuse the host system in a way that would affect neighboring VEs. For this reason, Xen VPS are considered far more reliable and secure, and can be likened more to dedicated servers in terms of their structure and features.

Conclusion

With all of this in mind, it becomes clear why OpenVZ is often said to be faster than Xen, and sometimes even appears that way in benchmarks — the benchmarks compare [b]empty OpenVZ systems to empty Xen systems, as would be typical in an objective, testing environment.

In a real web hosting environment, however, host servers will be bustling with activity by the time you get there, which makes a Xen VPS is a much better guarantee to have — it means having the peace of mind knowing that the resources you need will be there when you need them.

Although it is true that OpenVZ is marginally “faster” due to the hypervisor’s decreased resource overhead, this difference is not tangible in actual usage, and will manifest only as a slightly smaller amount of available RAM on freshly installed Xen VEs.

So, here is the final answer:

In Theory, OpenVZ provides a faster virtualized environment due to the fact that the VE is directly supported by the host system, and therefore uses less of its own resources to maintain its OS.

In Practice, Xen reliably outperforms OpenVZ, especially among budget-oriented web hosts where practices like resource over-commitment are common.

 

This article is also available in the VPS6.NET Knowledgebase: https://vps6.net/my/knowledgebase/69/OpenVZ-or-Xen-VPS—Which-is-faster-and-which-is-better.html


How to Install PV on HVM (GPLPV) Drivers for Windows Server 2008 Systems

Posted: June 22nd, 2012 | By: | Filed under: Security & Optimization, Tutorials, Windows, Xen | Tags: , , , , | No Comments »

The GPLPV package is a driver for Microsoft Windows, which allows Windows systems virtualised with Xen (such as VPS6.NET’s) access to the network and block drivers of the Xen dom0. These drivers provide a significant performance and reliability gain over the standard devices emulated by Xen, and are recommended for anyone using our Windows VPS service.

Installation of the package is simple, and has no known compatibility issues with any our systems.

Your system should now experience enhanced network and disk speeds!

This article is also available in the VPS6.NET Knowledgebase: https://vps6.net/my/knowledgebase/68/How-to-Install-GPLPV-PV-on-HVM-Drivers-on-Windows-Server-2008-Systems.html


How to Setup FTP with ProFTPD in Webmin

Posted: March 14th, 2012 | By: | Filed under: Control Panels, Tutorials | Tags: , , | 1 Comment »

After installing Webmin on a VPS, you may be wondering how to add and configure FTP users. With Webmin it is not a one-click process, but the procedure is still fairly simple. To install proftpd and add a user, follow these steps:

  1. Login to webmin at http://xx.xx.xx.xx:10000 (may be https:// for Debian/Ubuntu systems)
  2. Access the Webmin Modules option via Webmin > Webmin Configuration
  3. Select Standard module from www.webmin.com
  4. Click the button on the right of that option
  5. Choose: proftpd
  6. Click Install Module
  7. On the left sidebar, after installation, click Refresh Modules
  8. Click Create a new user accessed via System > Users and Groups
  9. Provide a username for what is to be your FTP account
  10. Select Normal Password and provide a unique, complex password for the account
  11. If desired, select a custom home directory, otherwise choose Create home directory near the bottom of the options.
  12. Select New Group with same name as user
  13. Click Create

Once this is done, you should be able to access FTP with the username and password you selected, using your server’s IP address as the host.

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/65/How-to-Setup-FTP-with-ProFTPD-in-Webmin-.html


VPS vs. Shared Hosting – Do You Need a VPS?

Posted: February 13th, 2012 | By: | Filed under: Featured, Uncategorized | Tags: | No Comments »

We often hear the question, “do I need a VPS?” Whether you are looking to upgrade from Shared hosting, or find a cost-effective alternative to dedicated server hosting, a VPS will most likely be the perfect fit for your budget and needs.

Shared hosting, virtual private servers, and dedicated servers are often compared as three of the main web hosting solutions, occupying “tiers” one above the other. Shared hosting is the cheapest option, but also the least secure and lowest in quality. Conversely, dedicated servers are very secure and completely customizable, but often very expensive and difficult to maintain. VPS hosting is a solution that hybridizes the two: host servers are populated with multiple users, like Shared hosting, yet every VPS environment is completely private and customizable, like dedicated server hosting. Below is an in-depth look at the key differences between Shared and VPS hosting.

Platform Capabilities - VPS vs. Shared Hosting:

Shared hosting accounts are typically setup with a panel like cPanel or Plesk, where users have access only to the “user level.” Aside from FTP, the control panel will be the user’s only method of server administration, and server functions will be limited, in large extent, by those available in the control panel.

A virtual private server, by contrast, has essentially the same capabilities as a dedicated server. Though cPanel or another control panel can be installed on a VPS (this is how many Shared resellers setup their hosts), a VPS user will have complete control over the system via the “secure shell,” or SSH. There are absolutely no limits imposed on a VPS beyond the limits of hardware; any VPS will allow you the ability to create “unlimited domains,” “unlimited users,” etc, up to the capacity of the CPU, RAM, and disk space allocated to your VPS.

Security - VPS vs. Shared Hosting:

Insecurity is a basic and innate flaw of Shared hosting environments. Since every user on a Shared hosting server will be running applications within the same filesystem and same operating system, there is relatively great opportunity for a single user to exploit the system and negatively affect all other users hosted on the same server.

A VPS, like a dedicated server, will remain almost completely isolated from other virtual servers. Every VPS runs its own independent operating system, and in some virtual servers, even its own kernel (see OpenVZ vs. Xen: What’s the difference?). This allows VPS users to customize their own firewalls and security settings, totally independently of other virtual servers running on the same host.

Options and Extensibility - VPS vs. Shared Hosting:

Shared hosting providers have complete control over what will be available to you in your Shared hosting environment, and the options are usually very limited. A setup that is compatible with one host may be completely unusable with another host, because of limits on the ability of users to customize software like mailservers, webservers, and MySQL. You will also be out of luck if you require an operating system (OS) or software that your Shared host does not support.

However, since a VPS is just a server inside another server, or “virtual server,” you will have complete control over your individual server’s environment. With most VPS providers, you can choose from many different operating systems; with any VPS host, you will have the ability to install any software you need. VPS hosts will set absolutely no restrictions on what can be installed (excluding, of course, applications that are illegal or extremely resource-intensive).

Resource Allocation - VPS vs. Shared Hosting:

In a Shared hosting environment, all hardware resources are shared among all users, with virtual limits set for the amount of bandwidth, disk space, and other resources available to each user. The individual users’ resources are not in any way separated, nor can server performance be effectively monitored on a per-user basis, hence the notorious overselling, “unlimited” resource allocations, and poor performance too-often associated with Shared hosting.

On a VPS node (host server), each virtual server is allocated a “hard” amount of disk space, RAM, and other server resources. Though different virtualization techniques handle this slightly differently (see OpenVZ vs. Xen: What’s the difference, and which is better?), VPS resources are basically equivalent to actual “slices” of the physical hardware in a server: one slot of RAM reserved for one VPS, one CPU core reserved for one VPS, etc. These dedicated resources, combined with advanced per-user monitoring tools, make virtual private server hosting far more reliable than shared hosting.

Convenience - VPS vs. Shared Hosting:

Although Shared hosting offers the convenience of a straightforward and easy-to-use control panel for server management (which can also be installed on a VPS), virtual private server hosting offers an even greater convenience: the ability to setup a customized system that can be painlessly upgraded or downgraded at any time. Due to the virtual nature of VPS hosting, where multiple “containers” coexist on the same host server, administration of virtual servers is considerably more efficient than dedicated hosting, and has many more options available than Shared hosting. Where a Shared host may simply suspend a user for a traffic spike or sudden increase in resource usage, a VPS host can seamlessly expand a virtual server’s resource allocation to accommodate higher demand.

To answer the original question, yes! Make the move to a VPS today, and see why virtual servers are the fastest-growing trend in web hosting.

See VPS6.NET’s entry-level VPS plans now »

This article is also available in the VPS6.NET Knolwedgebase:

https://vps6.net/my/knowledgebase/15/Do-I-need-a-VPS.html


How to Install rTorrent/ruTorrent Seedbox on Ubuntu VPS

Posted: February 9th, 2012 | By: | Filed under: Featured, Seedbox, Tutorials | Tags: , , , , | No Comments »

This tutorial will guide you through the installation of libtorrent 0.13.0, rTorrent 0.9, and the ruTorrent Web UI (3.0) on a Debian or Ubuntu system. It has been tested with Debian 6 (x64) and Ubuntu 11.04 (x64).

To begin, access your VPS via SSH and run the following to update your platform and install some needed dependencies:

# apt-get update

# sudo apt-get install subversion build-essential automake libtool libcppunit-dev libcurl3-dev libsigc++-2.0-dev unzip unrar-free curl libncurses-dev

# apt-get install apache2 php5 php5-cli php5-curl

Enable scgi for Apache:

# apt-get install libapache2-mod-scgi

# ln -s /etc/apache2/mods-available/scgi.load /etc/apache2/mods-enabled/scgi.load

Install XMLRPC:

# mkdir /install;cd /install

# svn checkout http://xmlrpc-c.svn.sourceforge.net/svnroot/xmlrpc-c/stable xmlrpc-c

# cd xmlrpc-c

# ./configure –disable-cplusplus

# make

# make install

Intall libtorrent:

# cd /install

# wget http://vps6.net/src/libtorrent-0.13.0.tar.gz

# tar xvf libtorrent-0.13.0.tar.gz

# cd libtorrent-0.13.0

# ./autogen.sh

# ./configure

# make

# make install

Install rTorrent:

# cd /install

# wget http://vps6.net/src/rtorrent-0.9.0.tar.gz

# cd rtorrent-0.9.0

# ./autogen.sh

# ./configure –with-xmlrpc-c

# make

# make install

# ldconfig

Create required directories:

# mkdir /home/seeder1/rtorrent

# mkdir /home/seeder1/rtorrent/.session

# mkdir /home/seeder1/rtorrent/watch

# mkdir /home/seeder1/rtorrent/download

Setup .rtorrent.rc file (rTorrent config):

# cd ~/

# wget http://vps6.net/src/.rtorrent.rc

# cp .rtorrent.rc /home/seeder1/

(Edit the settings in .rtorrent.rc, like max upload/download speed, max connected peers, etc, as needed.)

Install rTorrent:

# cd /install

# wget http://vps6.net/src/rutorrent-3.0.tar.gz

# tar xvf rutorrent-3.0.tar.gz

# mv rutorrent /var/www

# wget http://vps6.net/src/plugins-3.0.tar.gz

# tar xvf plugins-3.0.tar.gz

# mv plugins /var/www/rutorrent

# rm -rf /var/www/rutorrent/plugins/darkpal

# chown -R www-data:www-data /var/www/rutorrent

Secure /rutorrent:

# a2enmod ssl

# a2enmod auth_digest

# a2enmod scgi

# openssl req $@ -new -x509 -days 365 -nodes -out /etc/apache2/apache.pem -keyout /etc/apache2/apache.pem

# chmod 600 /etc/apache2/apache.pem

# htdigest -c /etc/apache2/passwords seedbox seeder1

(Enter a password of your choice when prompted, you will use this to log in to the ruTorrent web UI.)

# cd /etc/apache2/sites-available/

# rm -rf default

# wget http://vps6.net/src/default

# a2ensite default-ssl

# /etc/init.d/apache2 reload

Install screen:

# apt-get install screen

Start rTorrent in a detached shell using screen:

# screen -fa -d -m rtorrent

(To start rtorrent automatically after reboots, add the above command to /etc/rc.local)

 

Setup is now complete! Access ruTorrent at http://xx.xx.xx.xx/rutorrent/ (replace xx.xx with your server’s IP address). You should be greeted with a login prompt, where the username is “seeder1″ and the password is the one you set above in the “secure /rutorrent” section.

VPS6.NET offers plug-n-play ruTorrent seedbox templates that can be setup instantly on any VPS: https://vps6.net/template-rutorrent.php

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/64/How-to-Install-ruTorrent-Seedbox-on-Ubuntu-or-Debian-VPS.html

 

 


How to Check CPU Info with SSH on Linux VPS

Posted: February 7th, 2012 | By: | Filed under: Security & Optimization, Tutorials, Uncategorized | Tags: , | No Comments »

To check the CPU allocation and information on your VPS, simply log in to SSH as root, and run the following command:

# cat /proc/cpuinfo

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/63/How-to-Check-CPU-Info-with-SSH-on-Linux-VPS.html

 

 


How to Install RapidLeech v42 on Debian or Ubuntu VPS

Posted: January 20th, 2012 | By: | Filed under: Tutorials | Tags: , , , | No Comments »

This guide will walk you through the installation of RapidLeech v42 r358 on a VPS running Debian or Ubuntu.

To begin, log in to your VPS via SSH as the root user, and run the following commands:

# apt-get -y update

# apt-get -y upgrade

Install dependencies:

# apt-get -y install apache2-prefork-dev apache2-utils apache2.2-bin apache2.2-common apache2

# apt-get -y install php5 php5-cgi php5-cli php5-common php5-curl php5-dev php5-gd php5-tidy php5-xmlrpc php5-xsl php5-suhosin php5-mcrypt php5-imap php5-imagick libapache2-mod-php5

Download RapidLeech:

# cd /var/www

# wget http://rapidleech.googlecode.com/files/Rapidleech.v42.r358.zip

Install RapidLeech:

# unzip Rapidleech.v42.r358.zip

# rm -rf Rapidleech.v42.r358.zip

# chown -hR www-data:www-data Rapidleech.v42.r358

# chmod 777 Rapidleech.v42.r358/files

# mv Rapidleech Rapidleech.v42.r358 rapidleech

Restart Apache:

# /etc/init.d/apache2 restart

RapidLeech should now be accessible at: http://xx.xx.xx.xx/rapidleech/

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/62/How-to-Install-RapidLeech-v42-on-Debian-or-Ubuntu-VPS.html


How to Install Nginx on CentOS with Yum

Posted: January 16th, 2012 | By: | Filed under: Tutorials | Tags: , , | No Comments »

Nginx is a popular lightweight alternative to Apache. Installing it with the yum package manager is simple:

# yum update

# rpm -Uvh http://download.fedora.redhat.com/pub/epel/5Server/x86_64/epel-release-5-4.noarch.rpm

# yum install nginx

Start Nginx:

# /etc/init.d/nginx start

Check if Nginx is running at: http://xx.xx.xx.xx – You should see a default Nginx page.

Set Nginx to start automatically in case of reboot:

# /sbin/chkconfig nginx on

For more information, see: http://wiki.nginx.org

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/61/How-to-Install-Nginx-with-Yum-on-CentOS.html


How to Install Deluge Seedbox VPS on Ubuntu

Posted: January 16th, 2012 | By: | Filed under: Seedbox, Tutorials | No Comments »

Though it is one of the newest seedbox Web UIs, Deluge has proven to be a tested favorite among seeders. Deluge offers one of the most polished and efficient graphical front-ends, and is often called the fastest seedbox VPS UI. This guide will walk you through the setup of a Deluge/deluge-web VPS based on Ubuntu (recommended for 10.04 or above).

Access your VPS as the root user via SSH, and run the following commands:

# adduser –disabled-password –system –home /var/lib/deluge –gecos “Deluge server” –group deluge

# touch /var/log/deluged.log

# touch /var/log/deluge-web.log

# chown deluge:deluge /var/log/deluge*

Install Deluge:

# apt-get update && apt-get upgrade

# apt-get install deluge-common deluged deluge-web

Open the deluge-daemon file:

# vi /etc/default/deluge-daemon

Press “A” to enter edit mode, and copy in the following:

# Configuration for /etc/init.d/deluge-daemon

# The init.d script will only run if this variable non-empty.

DELUGED_USER=”deluge”

# Should we run at startup?

RUN_AT_STARTUP=”YES”

Press ESC, then type :wq and press enter to save and exit the file. Now we will create an init script for the Deluge daemon:

# vi /etc/init.d/deluge-daemon

Copy the following into the file:

#!/bin/sh

### BEGIN INIT INFO

# Provides:          deluge-daemon

# Required-Start:    $local_fs $remote_fs

# Required-Stop:     $local_fs $remote_fs

# Should-Start:      $network

# Should-Stop:       $network

# Default-Start:     2 3 4 5

# Default-Stop:      0 1 6

# Short-Description: Daemonized version of deluge and webui.

# Description:       Starts the deluge daemon with the user specified in

#                    /etc/default/deluge-daemon.

### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DESC=”Deluge Daemon”

NAME1=”deluged”

NAME2=”deluge”

DAEMON1=/usr/bin/deluged

DAEMON1_ARGS=”-d”             # Consult `man deluged` for more options

DAEMON2=/usr/bin/deluge-web

DAEMON2_ARGS=”"               # Consult `man deluge-web` for more options

PIDFILE1=/var/run/$NAME1.pid

PIDFILE2=/var/run/$NAME2.pid

UMASK=022                     # Change this to 0 if running deluged as its own user

PKGNAME=deluge-daemon

SCRIPTNAME=/etc/init.d/$PKGNAME

 

# Exit if the package is not installed

[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

 

# Read configuration variable file if it is present

[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

 

# Load the VERBOSE setting and other rcS variables

[ -f /etc/default/rcS ] && . /etc/default/rcS

 

# Define LSB log_* functions.

# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.

. /lib/lsb/init-functions

 

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]

then

log_warning_msg “Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it.”

exit 0

fi

 

if [ -z "$DELUGED_USER" ]

then

log_warning_msg “Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME.”

exit 0

fi

 

#

# Function that starts the daemon/service

#

do_start()

{

# Return

#   0 if daemon has been started

#   1 if daemon was already running

#   2 if daemon could not be started

start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –exec $DAEMON1 \

–chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK –test > /dev/null

RETVAL1=”$?”

start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –exec $DAEMON2 \

–chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK –test > /dev/null

RETVAL2=”$?”

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

 

start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –make-pidfile –exec $DAEMON1 \

–chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK — $DAEMON1_ARGS

RETVAL1=”$?”

sleep 2

start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –make-pidfile –exec $DAEMON2 \

–chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK — $DAEMON2_ARGS

RETVAL2=”$?”

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2

}

 

#

# Function that stops the daemon/service

#

do_stop()

{

# Return

#   0 if daemon has been stopped

#   1 if daemon was already stopped

#   2 if daemon could not be stopped

#   other if a failure occurred

 

start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE2

RETVAL2=”$?”

start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE1

RETVAL1=”$?”

[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

 

rm -f $PIDFILE1 $PIDFILE2

 

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1

}

 

case “$1″ in

start)

[ "$VERBOSE" != no ] && log_daemon_msg “Starting $DESC” “$NAME1″

do_start

case “$?” in

0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;

2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;

esac

;;

stop)

[ "$VERBOSE" != no ] && log_daemon_msg “Stopping $DESC” “$NAME1″

do_stop

case “$?” in

0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;

2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;

esac

;;

restart|force-reload)

log_daemon_msg “Restarting $DESC” “$NAME1″

do_stop

case “$?” in

0|1)

do_start

case “$?” in

0) log_end_msg 0 ;;

1) log_end_msg 1 ;; # Old process is still running

*) log_end_msg 1 ;; # Failed to start

esac

;;

*)

# Failed to stop

log_end_msg 1

;;

esac

;;

*)

echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2

exit 3

;;

esac

 

:

Give the script proper permissions:

# chmod 755 /etc/init.d/deluge-daemon

# update-rc.d deluge-daemon defaults

You can now reboot your VPS; if everything worked, you will be able to access Deluge at http://xx.xx.xx.xx:8112 with the default password “deluge”. Enjoy!

Click here for information about Deluge Seedbox VPS templates available from VPS6.NET.

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/60/How-to-Install-Deluge-Seedbox-VPS-with-Ubuntu.html


How to Install VNC w/ Ubuntu Desktop on VPS

Posted: January 15th, 2012 | By: | Filed under: Tutorials, VNC Remote Desktop | No Comments »

Similar to RDP for Windows servers, Ubuntu desktop and TightVNCServer will allow you to connect to a remote desktop running on your Linux VPS. This tutorial will guide you through the setup of a basic desktop and VNC server.

Before anything, update your system:

# apt-get update

# apt-get upgrade

Install Ubuntu Desktop:

# apt-get install ubuntu-desktop

Setup gdm:

# apt-get install gdm

# /etc/init.d/gdm start

Install and configure TightVNCServer:

# apt-get install tightvncserver

# vncserver :1 -geometry 1024×768 

# vncserver -kill :1

Open the VNC configuration file with vi:

# vi  ~/.vnc/xstartup

Press “a” to enter edit mode, then add the following to the bottom of the file:

gnome-session &

Log in to SolusVM and reboot the VPS. Then, access the VPS via SSH again, and start the VNC server:

# vncserver :1 -geometry 1024×768 

You should now be able to use a desktop VNC client to access the remote desktop at:

  • IP Address: [your server's main IP]
  • Port: 1 (or 5901, 5902 for desktop :2, etc)
  • Password: [password you set earlier]

Note that some VNC clients will not have a Port setting; instead, you will need to enter IP Address: xx.xx.xx.xx:1

In case you forget your password, or want to reset it later:

# vncpasswd

This article is also available in the VPS6.NET Knowledgebase:

https://vps6.net/my/knowledgebase/59/How-to-Install-VNC-wor-Ubuntu-Desktop-on-VPS.html